### Signal

# WPEPlatform View::buffer-released

#### Declaration

    void
    buffer_released (
      WPEView* self,
      WPEBuffer* buffer,
      gpointer user_data
    )

#### Description [src]

Emitted to notify that the buffer is no longer used by the view and can be destroyed or reused.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`buffer`

  Type: `WPEBuffer`

  A `WPEBuffer`.

  The data is owned by the caller of the function.